/* Comparision Table */

.comparison-title {
	font-size: 18px;
	font-weight: bold;
	text-align: center;
}

.compare-table-container {
	overflow-x: auto;
	margin: 20px 0;
	padding: 10px;
	background-color: #f9f9f9;
	border-radius: 8px;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	max-width: 100%;
	padding: 0;
}

.compare-table {
	width: 100%;
	border-collapse: collapse;
	margin: 20px 0;
	table-layout: fixed;
	line-height: 1em;
	font-family: "Roboto", Helvetica, Arial, sans-serif;
	min-width: 700px;
	position: relative;
}

.compare-table tr:nth-child(2n) td {
	background-color: #f0f2f2 !important;
}

.compare-table th, .compare-table td {
	padding: 5px;
	text-align: left;
	font-size: 13px;
	border: none;
}

.compare-table th {
	background-color: #f0f2f2 !important;
	font-weight: bold;
}

.compare-table tr:not(:last-child) td {
	border-bottom: 1px solid #bbbfbf;
}

.compare-table td:first-child, .compare-table th:first-child {
	font-weight: bold;
	position: sticky;
	border-right: 1px solid #bbbfbf;
	left: 0;
	z-index: 1;
	width: 13%;
}

.compare-table tr:nth-child(1) td:first-child,
.compare-table tr:nth-child(1) th:first-child {
	border-right: none;
}

.product-item {
	text-align: left;
}

.compare-thumbnail-wrapper {
	background: #f7f8f8;
	border-radius: 5px;
}

.product-item .product-image img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	max-width: 100%;
	height: auto;
	width: auto;
	object-fit: cover;
	padding: .5em;
	mix-blend-mode: multiply;
}

.compare-table .woocommerce-loop-product__title a {
	display: block;
	margin: 3px;
	padding-top: .5em;
}

.product-comparison-wrapper table tr:nth-child(1) a:focus {
	outline-width: 2px;
}

.compare-table .price {
	color: #333;
}

.compare-table .add-to-cart-wrapper .add_to_cart_button {
	background-color: #ffd814;
	border-color: #ffd814;
	color: #0f1111;
	border-radius: 100px;
	font-weight: normal;
	margin-top: 1.2em;
	margin-bottom: .5em;
	transform: scale(0.85);
	white-space: nowrap;
}

.compare-table .added_to_cart {
	transform: scale(0.85);
	font-weight: normal;
	white-space: nowrap;
}

.compare-table .product-item {
	display: inline-block;
	vertical-align: top;
	width: 100%;
}

.compare-table .best-match {
	position: relative;
}

.best-match-badge {
	background-color: #E67A00;
	color: white;
	padding: 2px 4px 2px 13px;
	font-size: 10px;
	clip-path: polygon(0 0, 100% 0, 100% 100%, 15% 100%);
	position: absolute;
	top: 1px;
	right: 1px;
	max-width: 80%;
	white-space: nowrap;
}

.compare-table tbody tr:nth-child(1) .price,
.compare-table tbody tr:nth-child(1) .star-rating {
	display: none;
}

.compare-table .fas.fa-external-link-alt {
	margin-left: 1px;
	font-size: 0.6em;
	color: #999;
	vertical-align: super;
}
